import AppLayout from '@/components/layout/Index.vue'

const routes = [
  {
    path: '/question',
    component: AppLayout,
    meta: { title: '试题中心' },
    children: [
      {
        path: '',
        redirect: '/question/list'
      },
      {
        path: 'list',
        component: () => import('./views/List.vue'),
        meta: { title: '我的题库' }
      },
      {
        path: 'create',
        component: () => import('./views/Create.vue'),
        meta: { title: '新建试题' }
      },
      {
        path: 'classify',
        component: () => import('./views/Classify.vue'),
        meta: { title: '题库分类' }
      },
      {
        path: 'questionDetail',
        component: () => import('./views/EditView.vue'),
        meta: { title: '试题详情' }
      },
      {
        path: 'editQuestion',
        component: () => import('./views/EditView.vue'),
        meta: { title: '编辑试题' }
      }
    ]
  }
]

export { routes }
