import store from '@/store'

export default async function (to, from, next) {
  // 设置project_tag
  const projectTag = to.query.project_tag || ''
  if (projectTag) {
    store.commit('setActiveProjedct', { tag: projectTag })
  }
  // 登录白名单
  const whiteList = []
  if (whiteList.includes(to.path)) {
    next()
    return
  }
  const isLogin = store.state.user.id || (await store.dispatch('checkLogin'))
  if (!isLogin) {
    window.location.href = `${import.meta.env.VITE_LOGIN_URL}?rd=${encodeURIComponent(window.location.href)}`
    return
  }
  // 选择项目
  const hasProjectTag = !!store.state.activeProject.tag
  if ((!Object.hasOwnProperty.call(to.meta, 'requireProjectTag') || to.meta.requireProjectTag) && !hasProjectTag) {
    next('/choose')
    return
  }

  next()
}
